//
//  MailDeliveryConsole.h
//  MailDelivery
//
//  Created by Dante Palacios on 5/10/10.
//  Copyright 2010 Dante Palacios. All rights reserved.
//

/*!
 @header MailDeliveryConsole.h
 @abstract The methods listed here may disappear or change their names without prior notice. For more information, contact palacios.dante\@gmail.com.
 */

#import <Foundation/Foundation.h>


@class NSWindow;
@class NSTextView;

/*!
 @class MailDeliveryConsole
 @abstract .
 @discussion .
 */

@interface MailDeliveryConsole : NSObject {
@private;
	IBOutlet NSWindow *window;
	IBOutlet NSTextView *logView;
}

/*!
 @method sharedMailDeliveryConsole 
 @abstract singleton of the class.
 */

+ (MailDeliveryConsole *)sharedMailDeliveryConsole;

- (IBAction)clear:(id)sender;

/*!
 @method open 
 @abstract .
 */

- (void)open;

/*!
 @method close
 @abstract .
 */

- (void)close;

/*!
 @method log: 
 @abstract .
 @param string
 .
 */

- (void)log:(NSString *)string;

/*!
 @property windowTitle
 @abstract .
 */

@property (nonatomic, copy) NSString *windowTitle;

/*!
 @property loggingEnabled
 @abstract .
 */

@property (nonatomic, getter=isLoggingEnabled) BOOL loggingEnabled;

@end
